Page MenuHomePhabricator

[runtimes] Remove all traces of the legacy testing configuration system
ClosedPublic

Authored by ldionne on Sep 26 2022, 8:48 AM.

Details

Reviewers
ldionne
Group Reviewers
Restricted Project
Restricted Project
Restricted Project
Commits
rGa48f018bb7d8: [runtimes] Remove all traces of the legacy testing configuration system
Summary

Now that all jobs have moved over to the new style of Lit configuration,
we can remove all traces of the legacy testing configuration system.
This includes:

  • Cache settings that are not honored or useful anymore
  • Several CMake options that were only useful in the context of the legacy Lit configuration system
  • A bunch of Python support code that is not used anymore
  • The legacy lit.cfg.in files themselves

Diff Detail

Event Timeline

ldionne created this revision.Sep 26 2022, 8:48 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptSep 26 2022, 8:48 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne requested review of this revision.Sep 26 2022, 8:48 AM
Herald added projects: Restricted Project, Restricted Project, Restricted Project. · View Herald TranscriptSep 26 2022, 8:48 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
Herald added a reviewer: Restricted Project. · View Herald Transcript
Herald added a subscriber: cfe-commits. · View Herald Transcript

@vvereschaka Can you please confirm that the CMake cache changes look good to you?

ldionne updated this revision to Diff 464060.Sep 29 2022, 3:10 PM

Rebase on main.

vvereschaka added inline comments.Sep 29 2022, 8:15 PM
clang/cmake/caches/CrossWinToARMLinux.cmake
163

@ldionne %%T must be replaced with %T for some reason; otherwise we get the errors during test execution with these differential changes. Everything else works fine. Thank you.

ldionne updated this revision to Diff 464234.Sep 30 2022, 5:38 AM

Address comments.

clang/cmake/caches/CrossWinToARMLinux.cmake
163

That sounds extremely surprising to me, but I'll do that. Thanks a lot for checking!

ldionne accepted this revision.Sep 30 2022, 12:00 PM
This revision is now accepted and ready to land.Sep 30 2022, 12:00 PM
ldionne updated this revision to Diff 464351.Sep 30 2022, 12:03 PM

Add release note.

This revision was landed with ongoing or failed builds.Sep 30 2022, 12:03 PM
This revision was automatically updated to reflect the committed changes.

In case anyone else runs into this: It appears this change somehow broke incremental builds with -DLLVM_ENABLE_RUNTIMES=libunwind (even after deleting CMakeCache.txt in the main build dir):

-- Using libunwind testing configuration: /home/alexrichardson/cheri/upstream-llvm-project/libunwind/test/lit.site.cfg.in
CMake Error: File /home/alexrichardson/cheri/upstream-llvm-project/libunwind/test/lit.site.cfg.in does not exist.
CMake Error at /home/alexrichardson/cheri/upstream-llvm-project/llvm/cmake/modules/AddLLVM.cmake:1793 (configure_file):
  configure_file Problem configuring file
Call Stack (most recent call first):
  /home/alexrichardson/cheri/upstream-llvm-project/libunwind/test/CMakeLists.txt:45 (configure_lit_site_cfg)


-- Configuring incomplete, errors occurred!

Fortunately this is quite easy to fix: rm -rf <build_dir>/runtimes and then run ninja again.
I'm not sure if this would help (and I don't have a broken build dir anymore), but it might be possible to avoid this problem by touching CMakeLists.txt in llvm/runtimes?